Subject: Re: Linking statically against GraphicsMagick: problems with libxml2 and libpng
From: marco atzeri <[email-masked]>
To: [email-masked]
Cc: Dmitry Katsubo <[email-masked]>
Date: Tue, 5 Apr 2011 10:48:20 +0200
List-Id: <cygwin.cygwin.com>

On Tue, Apr 5, 2011 at 10:26 AM, Dmitry Katsubo  wrote:
> Dear Marco,
>
> Thanks for reply.
>
> On 05.04.2011 0:46, marco atzeri wrote:
>>> While trying to link statically my application against GraphicsMagick
>>
>> why not dynamic ?
>
> I am happy to link dynamically, but I got the requirements to provide
> both static and dynamic version.
>
>> it seems that libxml2-devel package is missing the static option.
>
> Maybe I can submit "request for improvement" for libxml2? It looks like
> *.a was simply not included into package, so I hope it is trivial to fix it.

you can check the package source and propose the change

>
> With best regards,
> Dmitry
>

Regards
Marco

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple